#ifndef _REGISTRY_H_
  #define _REGISTRY_H_

#define EMPTY_STRID 0x6FFFFFFF
#define REGISTRY_CACHE_EVENT 992

typedef struct
{
  int BookID;
  LIST *cache;
  int save;
}REGISTRY_CACHE;


void Registry_AddParameter(BOOK *book, void *r, u16 len_var, int num_var);
void *Registry_GetParameter(BOOK *book, int num_var);
int set_cache(LIST *lst);
LIST *get_cache(void);
void RegistryCache_SendRequest(BOOK *book);
int RegistryBlock_GetNumberOfParameters(BOOK *book);
int Registry_RemoveLastParameter(BOOK *book);
void RegistryCache_SendSave(BOOK *book);

#endif
